## EDU.oswego.cs.dl.util.concurrent
Class FJTask.Par2

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.FJTask
          EDU.oswego.cs.dl.util.concurrent.FJTask.Par2

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  FJTask

    public static class FJTask.Par2

extends FJTask

A `new Par(task1, task2)`, when executed, runs task1 and task2 in parallel using coInvoke(task1, task2). The class is a simple utility that makes it easier to create composite Tasks.

Nested Class Summary

Nested classes/interfaces inherited from class EDU.oswego.cs.dl.util.concurrent.FJTask
`FJTask.Par, FJTask.Par2, FJTask.Seq, FJTask.Seq2, FJTask.Wrap`

Field Summary
`protected FJTask` `fst`
`protected FJTask` `snd`

Constructor Summary
`FJTask.Par2(FJTask task1, FJTask task2)`

Method Summary
`void` `run()`

Methods inherited from class EDU.oswego.cs.dl.util.concurrent.FJTask
`cancel, coInvoke, coInvoke, fork, getFJTaskRunner, getFJTaskRunnerGroup, invoke, isDone, join, par, par, reset, seq, seq, setDone, start, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fst

    protected final FJTask fst

### snd

    protected final FJTask snd

Constructor Detail

### FJTask.Par2

    public FJTask.Par2(FJTask task1,
                       FJTask task2)

Method Detail

### run

    public void run()